[Touch-packages] [Bug 2059859] Re: pam_env(sshd:session): deprecated reading of user environment enabled

2024-04-17 Thread Launchpad Bug Tracker
This bug was fixed in the package pam - 1.5.3-5ubuntu5

---
pam (1.5.3-5ubuntu5) noble; urgency=medium

  * d/p/pam_env-remove-deprecation-notice-for-user_readenv.patch: drop
deprecation warning about user_readenv from pam_env (LP: #2059859)

 -- Andreas Hasenack   Wed, 10 Apr 2024 16:19:22
-0300

** Changed in: pam (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/2059859

Title:
  pam_env(sshd:session): deprecated reading of user environment enabled

Status in openssh package in Ubuntu:
  Triaged
Status in pam package in Ubuntu:
  Fix Released

Bug description:
  Ubuntu 24.04 / openssh-server/noble-updates 1:9.6p1-3ubuntu3

  sshd complains about "deprecated reading of user environment".

  This should have been solved upstream, as far as I understand:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1018106

  Enclosed /etc/pam.d/sshd file is amended according to the debian bug
  report.

  ProblemType: Bug
  DistroRelease: Ubuntu 24.04
  Package: openssh-server 1:9.6p1-3ubuntu3
  ProcVersionSignature: Ubuntu 6.8.0-11.11-generic 6.8.0-rc4
  Uname: Linux 6.8.0-11-generic x86_64
  ApportVersion: 2.28.0-0ubuntu1
  Architecture: amd64
  CasperMD5CheckResult: unknown
  Date: Sun Mar 31 11:56:25 2024
  ProcEnviron:
   LANG=de_DE.UTF-8
   PATH=(custom, no user)
   SHELL=/bin/bash
   TERM=xterm-256color
   XDG_RUNTIME_DIR=
  SourcePackage: openssh
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.init.d.apport: [modified]
  mtime.conffile..etc.init.d.apport: 2024-02-22T15:20:00
  mtime.conffile..etc.pam.d.sshd: 2024-03-31T11:56:12.949543

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/2059859/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 2059859] Re: pam_env(sshd:session): deprecated reading of user environment enabled

2024-04-11 Thread Andreas Hasenack
New pam package uploaded to noble-proposed. It's in the unapproved
queue.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/2059859

Title:
  pam_env(sshd:session): deprecated reading of user environment enabled

Status in openssh package in Ubuntu:
  Triaged
Status in pam package in Ubuntu:
  In Progress

Bug description:
  Ubuntu 24.04 / openssh-server/noble-updates 1:9.6p1-3ubuntu3

  sshd complains about "deprecated reading of user environment".

  This should have been solved upstream, as far as I understand:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1018106

  Enclosed /etc/pam.d/sshd file is amended according to the debian bug
  report.

  ProblemType: Bug
  DistroRelease: Ubuntu 24.04
  Package: openssh-server 1:9.6p1-3ubuntu3
  ProcVersionSignature: Ubuntu 6.8.0-11.11-generic 6.8.0-rc4
  Uname: Linux 6.8.0-11-generic x86_64
  ApportVersion: 2.28.0-0ubuntu1
  Architecture: amd64
  CasperMD5CheckResult: unknown
  Date: Sun Mar 31 11:56:25 2024
  ProcEnviron:
   LANG=de_DE.UTF-8
   PATH=(custom, no user)
   SHELL=/bin/bash
   TERM=xterm-256color
   XDG_RUNTIME_DIR=
  SourcePackage: openssh
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.init.d.apport: [modified]
  mtime.conffile..etc.init.d.apport: 2024-02-22T15:20:00
  mtime.conffile..etc.pam.d.sshd: 2024-03-31T11:56:12.949543

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/2059859/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 2059859] Re: pam_env(sshd:session): deprecated reading of user environment enabled

2024-04-10 Thread Launchpad Bug Tracker
** Merge proposal linked:
   
https://code.launchpad.net/~ahasenack/ubuntu/+source/pam/+git/pam/+merge/464052

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/2059859

Title:
  pam_env(sshd:session): deprecated reading of user environment enabled

Status in openssh package in Ubuntu:
  Triaged
Status in pam package in Ubuntu:
  In Progress

Bug description:
  Ubuntu 24.04 / openssh-server/noble-updates 1:9.6p1-3ubuntu3

  sshd complains about "deprecated reading of user environment".

  This should have been solved upstream, as far as I understand:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1018106

  Enclosed /etc/pam.d/sshd file is amended according to the debian bug
  report.

  ProblemType: Bug
  DistroRelease: Ubuntu 24.04
  Package: openssh-server 1:9.6p1-3ubuntu3
  ProcVersionSignature: Ubuntu 6.8.0-11.11-generic 6.8.0-rc4
  Uname: Linux 6.8.0-11-generic x86_64
  ApportVersion: 2.28.0-0ubuntu1
  Architecture: amd64
  CasperMD5CheckResult: unknown
  Date: Sun Mar 31 11:56:25 2024
  ProcEnviron:
   LANG=de_DE.UTF-8
   PATH=(custom, no user)
   SHELL=/bin/bash
   TERM=xterm-256color
   XDG_RUNTIME_DIR=
  SourcePackage: openssh
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.init.d.apport: [modified]
  mtime.conffile..etc.init.d.apport: 2024-02-22T15:20:00
  mtime.conffile..etc.pam.d.sshd: 2024-03-31T11:56:12.949543

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/2059859/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 2059859] Re: pam_env(sshd:session): deprecated reading of user environment enabled

2024-04-10 Thread Andreas Hasenack
We won't fix this in openssh for Ubuntu 24.04 due to the change in
behavior that it introduces at this stage in the cycle, but it should be
fixed in 24.10.

As for 24.04, what we will attempt to do is suppress the pam_env warning
in the src:pam package.

** Also affects: pam (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: openssh (Ubuntu)
Milestone: None => later

** Changed in: pam (Ubuntu)
   Status: New => In Progress

** Changed in: pam (Ubuntu)
 Assignee: (unassigned) => Andreas Hasenack (ahasenack)

** Changed in: pam (Ubuntu)
Milestone: None => ubuntu-24.04

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/2059859

Title:
  pam_env(sshd:session): deprecated reading of user environment enabled

Status in openssh package in Ubuntu:
  Triaged
Status in pam package in Ubuntu:
  In Progress

Bug description:
  Ubuntu 24.04 / openssh-server/noble-updates 1:9.6p1-3ubuntu3

  sshd complains about "deprecated reading of user environment".

  This should have been solved upstream, as far as I understand:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1018106

  Enclosed /etc/pam.d/sshd file is amended according to the debian bug
  report.

  ProblemType: Bug
  DistroRelease: Ubuntu 24.04
  Package: openssh-server 1:9.6p1-3ubuntu3
  ProcVersionSignature: Ubuntu 6.8.0-11.11-generic 6.8.0-rc4
  Uname: Linux 6.8.0-11-generic x86_64
  ApportVersion: 2.28.0-0ubuntu1
  Architecture: amd64
  CasperMD5CheckResult: unknown
  Date: Sun Mar 31 11:56:25 2024
  ProcEnviron:
   LANG=de_DE.UTF-8
   PATH=(custom, no user)
   SHELL=/bin/bash
   TERM=xterm-256color
   XDG_RUNTIME_DIR=
  SourcePackage: openssh
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.init.d.apport: [modified]
  mtime.conffile..etc.init.d.apport: 2024-02-22T15:20:00
  mtime.conffile..etc.pam.d.sshd: 2024-03-31T11:56:12.949543

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/2059859/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 2059859] Re: pam_env(sshd:session): deprecated reading of user environment enabled

2024-04-10 Thread Andreas Hasenack
Commit that added the warning to pam_env.c: https://github.com/linux-
pam/linux-pam/commit/ecd526743a27157c5210b0ce9867c43a2fa27784

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/2059859

Title:
  pam_env(sshd:session): deprecated reading of user environment enabled

Status in openssh package in Ubuntu:
  Triaged

Bug description:
  Ubuntu 24.04 / openssh-server/noble-updates 1:9.6p1-3ubuntu3

  sshd complains about "deprecated reading of user environment".

  This should have been solved upstream, as far as I understand:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1018106

  Enclosed /etc/pam.d/sshd file is amended according to the debian bug
  report.

  ProblemType: Bug
  DistroRelease: Ubuntu 24.04
  Package: openssh-server 1:9.6p1-3ubuntu3
  ProcVersionSignature: Ubuntu 6.8.0-11.11-generic 6.8.0-rc4
  Uname: Linux 6.8.0-11-generic x86_64
  ApportVersion: 2.28.0-0ubuntu1
  Architecture: amd64
  CasperMD5CheckResult: unknown
  Date: Sun Mar 31 11:56:25 2024
  ProcEnviron:
   LANG=de_DE.UTF-8
   PATH=(custom, no user)
   SHELL=/bin/bash
   TERM=xterm-256color
   XDG_RUNTIME_DIR=
  SourcePackage: openssh
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.init.d.apport: [modified]
  mtime.conffile..etc.init.d.apport: 2024-02-22T15:20:00
  mtime.conffile..etc.pam.d.sshd: 2024-03-31T11:56:12.949543

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/2059859/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 2059859] Re: pam_env(sshd:session): deprecated reading of user environment enabled

2024-04-10 Thread Andreas Hasenack
Deprecation warning introduced here: https://github.com/linux-pam/linux-
pam/releases/tag/v1.5.0

Release notes for all releases up to 1.6.1 don't mention this again, so
it's still there: https://github.com/linux-pam/linux-pam/releases

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/2059859

Title:
  pam_env(sshd:session): deprecated reading of user environment enabled

Status in openssh package in Ubuntu:
  Triaged

Bug description:
  Ubuntu 24.04 / openssh-server/noble-updates 1:9.6p1-3ubuntu3

  sshd complains about "deprecated reading of user environment".

  This should have been solved upstream, as far as I understand:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1018106

  Enclosed /etc/pam.d/sshd file is amended according to the debian bug
  report.

  ProblemType: Bug
  DistroRelease: Ubuntu 24.04
  Package: openssh-server 1:9.6p1-3ubuntu3
  ProcVersionSignature: Ubuntu 6.8.0-11.11-generic 6.8.0-rc4
  Uname: Linux 6.8.0-11-generic x86_64
  ApportVersion: 2.28.0-0ubuntu1
  Architecture: amd64
  CasperMD5CheckResult: unknown
  Date: Sun Mar 31 11:56:25 2024
  ProcEnviron:
   LANG=de_DE.UTF-8
   PATH=(custom, no user)
   SHELL=/bin/bash
   TERM=xterm-256color
   XDG_RUNTIME_DIR=
  SourcePackage: openssh
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.init.d.apport: [modified]
  mtime.conffile..etc.init.d.apport: 2024-02-22T15:20:00
  mtime.conffile..etc.pam.d.sshd: 2024-03-31T11:56:12.949543

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/2059859/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 2059859] Re: pam_env(sshd:session): deprecated reading of user environment enabled

2024-04-10 Thread Andreas Hasenack
Fixing this in noble at this time will require a feature freeze
exception, because we would be changing behavior.

The default for user_readenv in pam_env is 0 (off). In the sshd config,
ubuntu/debian ship a pam config that sets it to on (1), therefore
~/.pam_environment will be read if it exists.

Upstream has flagged that this feature (of reading user-provided env var
files) will be removed in the future, and is thus catching the setting
of user_readenv=1 and showing the deprecation notice warning. To get rid
of the warning, we have to stop setting user_readenv=1, which will
*disable* the feature. Meaning, in noble, if we make this change,
~/.pam_environment (or the file specified by user_envfile) will NOT be
read anymore.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/2059859

Title:
  pam_env(sshd:session): deprecated reading of user environment enabled

Status in openssh package in Ubuntu:
  Triaged

Bug description:
  Ubuntu 24.04 / openssh-server/noble-updates 1:9.6p1-3ubuntu3

  sshd complains about "deprecated reading of user environment".

  This should have been solved upstream, as far as I understand:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1018106

  Enclosed /etc/pam.d/sshd file is amended according to the debian bug
  report.

  ProblemType: Bug
  DistroRelease: Ubuntu 24.04
  Package: openssh-server 1:9.6p1-3ubuntu3
  ProcVersionSignature: Ubuntu 6.8.0-11.11-generic 6.8.0-rc4
  Uname: Linux 6.8.0-11-generic x86_64
  ApportVersion: 2.28.0-0ubuntu1
  Architecture: amd64
  CasperMD5CheckResult: unknown
  Date: Sun Mar 31 11:56:25 2024
  ProcEnviron:
   LANG=de_DE.UTF-8
   PATH=(custom, no user)
   SHELL=/bin/bash
   TERM=xterm-256color
   XDG_RUNTIME_DIR=
  SourcePackage: openssh
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.init.d.apport: [modified]
  mtime.conffile..etc.init.d.apport: 2024-02-22T15:20:00
  mtime.conffile..etc.pam.d.sshd: 2024-03-31T11:56:12.949543

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/2059859/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 2059859] Re: pam_env(sshd:session): deprecated reading of user environment enabled

2024-04-02 Thread Robie Basak
** Changed in: openssh (Ubuntu)
   Status: New => Triaged

** Changed in: openssh (Ubuntu)
   Importance: Undecided => Medium

** Tags added: server-todo

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/2059859

Title:
  pam_env(sshd:session): deprecated reading of user environment enabled

Status in openssh package in Ubuntu:
  Triaged

Bug description:
  Ubuntu 24.04 / openssh-server/noble-updates 1:9.6p1-3ubuntu3

  sshd complains about "deprecated reading of user environment".

  This should have been solved upstream, as far as I understand:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1018106

  Enclosed /etc/pam.d/sshd file is amended according to the debian bug
  report.

  ProblemType: Bug
  DistroRelease: Ubuntu 24.04
  Package: openssh-server 1:9.6p1-3ubuntu3
  ProcVersionSignature: Ubuntu 6.8.0-11.11-generic 6.8.0-rc4
  Uname: Linux 6.8.0-11-generic x86_64
  ApportVersion: 2.28.0-0ubuntu1
  Architecture: amd64
  CasperMD5CheckResult: unknown
  Date: Sun Mar 31 11:56:25 2024
  ProcEnviron:
   LANG=de_DE.UTF-8
   PATH=(custom, no user)
   SHELL=/bin/bash
   TERM=xterm-256color
   XDG_RUNTIME_DIR=
  SourcePackage: openssh
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.init.d.apport: [modified]
  mtime.conffile..etc.init.d.apport: 2024-02-22T15:20:00
  mtime.conffile..etc.pam.d.sshd: 2024-03-31T11:56:12.949543

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/2059859/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp